
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>在Ubuntu下进行MongoDB安装步骤 / 憋错料</title>

    <meta name="description" content="在Ubuntu下进行MongoDB安装步骤 一. 在Ubuntu下最傻瓜的步骤(以下都在root用户下进行操作): 1.运行&quot;apt-get install mongo&quot; 如果遇到找不到安装包的话运行&quot;apt-get update&quot; 2.这时装好以后应该会自动运行mongod程序,通过&quot;pgrep mongo -l &quot;查看进程是否已经启动 3.在终端输入&quot;mongo&quot;,然后回车进入数据库 (Over) 下面说下如何自己启动mongodb的程序. 二. 重启系统 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">在Ubuntu下进行MongoDB安装步骤</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p><strong>一. 在Ubuntu下最傻瓜的步骤（</strong>以下都在<strong>root</strong>用户下进行操作<strong>）：</strong></p>
<p>1.运行"<strong>apt-get install mongo</strong>"</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcGljMDAyLmNuYmxvZ3MuY29tL2ltYWdlcy8yMDExLzI5NDc2Mi8yMDExMTEyNTE3NDUwNzgxLmpwZw==.jpg"></p>
<p>如果遇到找不到安装包的话运行"<strong>apt-get update</strong>"</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcGljMDAyLmNuYmxvZ3MuY29tL2ltYWdlcy8yMDExLzI5NDc2Mi8yMDExMTEyNTE3NDQxNTQwLmpwZw==.jpg"></p>
<p>2.这时装好以后应该会自动运行mongod程序，通过"<strong>pgrep mongo -l</strong>&nbsp;"查看进程是否已经启动</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcGljMDAyLmNuYmxvZ3MuY29tL2ltYWdlcy8yMDExLzI5NDc2Mi8yMDExMTEyNTE3NDE0NzM1LmpwZw==.jpg"></p>
<p>3.在终端输入"<strong>mongo"</strong>，然后回车进入数据库</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcGljMDAyLmNuYmxvZ3MuY29tL2ltYWdlcy8yMDExLzI5NDc2Mi8yMDExMTEyNTE3NDU1MTk0LmpwZw==.jpg"></p>
<p>（Over）</p>
<p>下面说下如何自己启动mongodb的程序。</p>
<p><strong>二. 重启系统以后mongo程序要自己重新手动启动，步骤如下：</strong></p>
<p>1.运行“<strong>locate mongo</strong>”命令查看系统默认把mongo装到了哪里，这里主要关注三个东西.</p>
<p>（1）一个是名为“<strong>mongod</strong>”的程序的位置(他相当于mongo数据库的Server，需要一直在后台运行，我的路径：<strong>/usr/bin/mongod</strong>);</p>
<p>（2）一个是mongo 数据库log日志文件的位置（log日志文件要查看到具体的文件名,具体用法在后面有介绍,我的路径：<strong>/var/log/mongodb/mongodb.log</strong>）;</p>
<p>（3）一个是mongo的log日志的位置（我的路径：<strong>/var/log/mongodb/mongodb.log</strong>）。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcGljMDAyLmNuYmxvZ3MuY29tL2ltYWdlcy8yMDExLzI5NDc2Mi8yMDExMTEyNTE3NDg0MTM0LmpwZw==.jpg"></p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcGljMDAyLmNuYmxvZ3MuY29tL2ltYWdlcy8yMDExLzI5NDc2Mi8yMDExMTEyNTE3NTIwMDMzLmpwZw==.jpg"></p>
<p>2.先进入mongod所在的目录（<strong>/usr/bin/mongod</strong>），然后运行“<strong>./mongod --dbpath /var/lib/mongodb/ --logpath /var/log/mongodb/mongodb.log --logappend &amp;</strong>”</p>
<p><strong>--dbpath：</strong>指定mongo的数据库文件在哪个文件夹</p>
<p><strong>--logpath：</strong>指定mongo的log日志是哪个，这里log一定要指定到具体的文件名</p>
<p><strong>--logappend：</strong>表示log的写入是采用附加的方式，默认的是覆盖之前的文件</p>
<p><strong>&amp;：</strong>表示程序在后台运行</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcGljMDAyLmNuYmxvZ3MuY29tL2ltYWdlcy8yMDExLzI5NDc2Mi8yMDExMTEyNTE3NDAwMzMyLmpwZw==.jpg"></p>
<p><strong>注意：</strong>如果是系统非正常关闭，这样启动会报错，由于mongodb自动被锁上了，这是需要进入mongodb数据库文件所在的目录（<strong>/var/lib/mongodb/</strong>）,删除目录中的<strong>mongodb.lock</strong>文件,然后再进行上述操作。</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcGljMDAyLmNuYmxvZ3MuY29tL2ltYWdlcy8yMDExLzI5NDc2Mi8yMDExMTEyNTIwNTU0MTk4LmpwZw==.jpg"></p>
<p>安装好以后就可以通过编写C++程序进行相应的数据库操作了，编写简单的连接mongo的C++程序以及如果解决mongo动态库链接失败的情况在另一篇文章中介绍。</p>
<h3>关闭／启动</h3>
<p>　　sudo service mongodb stop 　　sudo service mongodb start</p>
<h3>设置数据库连接密码：</h3>
<p>　　在跟目录创建文件夹： data/db</p>
<p>　　关闭现有服务。</p>
<p>　　　　sudo service mongodb stop</p>
<p>　　重新启动服务</p>
<p>　　　　$ mongod –auth</p>
<p>　　创建连接用户</p>
<p>　　　　$ mongo</p>
<p>　　　　&gt;use admin</p>
<p>　　　　switched to db admin</p>
<p>　　　　&gt;db.addUser("root","1983")</p>
<p>　　关闭服务（直接在 mongod 启动的命令窗口 “ctrl + C”）</p>
<p>　　重启服务：</p>
<p>　　　　$:&nbsp; mongod –auth</p>
<p>　　查看是否开始验证：、</p>
<p>　　　　$ mongo</p>
<p>　　　　MongoDB shell version: 2.0.4</p>
<p>　　　　connecting to: test</p>
<p>　　　　&gt;use admin</p>
<p>　　　　switched to db admin</p>
<p>　　　　&gt;show collections</p>
<p>　　　　Fri Mar 14 09:07:08 uncaught exception: error: {</p>
<p>　　　　"$err" : "unauthorized db:admin lock type:-1 client:127.0.0.1",</p>
<p>　　　　"code" : 10057</p>
<p>　　　　}</p>
<p>　　有提示 链接错误。</p>
<p>　　进行用户验证：</p>
<p>　　　　&gt;db.auth("root","1983")</p>
<p>　　　　1</p>
<p>　　重新查看就可以查看数据集</p>
<p>　　　　&gt;show collections</p>
<p>　　　　system.indexes</p>
<p>　　　　system.users</p>
<h3>设置客户端连接：</h3>
<p>　　默认安装的话只允许 127.0.0.1 的IP 连接.</p>
<p>　　需要修改/etc/mongodb.conf 注释下列记录：</p>
<p>　　打开文件：</p>
<p>　　　　$ sudo gedit /etc/mongodb.conf</p>
<p>　　注释记录：</p>
<p>　　　　#bind_ip = 0.0.0.0</p>
<p>mongodb 远程访问配置(ubuntu)</p>
<p>1、首先修改mongodb的配置文件 让其监听所有外网ip,如果不行,连接的时候肯定会有异常<br /> 编辑文件：vi /etc/mongodb.conf<br />修改后的内容如下：<br />&nbsp; &nbsp; bind_ip = 0.0.0.0 &nbsp;或者 #bind_ip 127.0.0.1<br /> &nbsp; &nbsp; port = 27017<br /> &nbsp; &nbsp; auth=true (添加帐号,密码认证)<br />2、/etc/init.d/mongodb restart<br /> 3、连接&nbsp;<br /> #本地连接<br />/usr/local/mongodb/bin/mongo<br /> #远程连接<br />/usr/local/mongodb/bin/mongo127.0.0.1/admin-u username -p password<br /> 4、给某个数据库添加用户访问权限<br />&nbsp; db.addUser(‘user‘,‘pwd‘)<br /> &nbsp; db.auth(‘user‘,‘pwd‘)<br /> 5、删除用户<br />&nbsp; db.removeUser(‘username‘)</p>
<p>分类: <a href="http://www.cnblogs.com/1zhk/category/762811.html" rel="external nofollow noreferrer">BigData</a></p>
<p>标签: <a href="http://www.cnblogs.com/1zhk/tag/mongodb/" rel="external nofollow noreferrer">mongodb</a></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-28 20:44:50 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/%e7%ae%80%e5%8d%95/" title="简单">简单</a>, <a href="https://www.biecuoliao.com/tag/%e8%ae%a4%e8%af%81/" title="认证">认证</a>, <a href="https://www.biecuoliao.com/tag/stop/" title="stop">stop</a>, <a href="https://www.biecuoliao.com/tag/%e4%bd%8d%e7%bd%ae/" title="位置">位置</a>, <a href="https://www.biecuoliao.com/tag/gpo/" title="gpo">gpo</a>, <a href="https://www.biecuoliao.com/tag/show/" title="show">show</a>, <a href="https://www.biecuoliao.com/tag/%e6%a0%87%e7%ad%be/" title="标签">标签</a>, <a href="https://www.biecuoliao.com/tag/%e7%94%a8%e6%88%b7%e8%ae%bf%e9%97%ae/" title="用户访问">用户访问</a>, <a href="https://www.biecuoliao.com/tag/zh-cn/" title="zh-cn">zh-cn</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>在Ubuntu下进行MongoDB安装步骤的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MyjeOe0.html" rel="bookmark">ubuntu下minicom的安装，使用，常见问题的解决</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. 安装 直接使用命令; $ sudo apt-get install minicom 即可安装: 2. 配置和使用 在配置阶段主要是配置串口号和波特率等,和在windows下配置超级终端是一样的. 输入命令; $sudo minicom -s 进入如下的配置界面,用键盘上下键选择&quot;Serial port setup&quot; 然后进入到下面配置串口的界面,输入前面对应的字幕进入相应的配置,比如选择A 即可配置Serial Device. 关于设备号的问题,如果你是用的USB转串口而且使用的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0kDKDP3.html" rel="bookmark">Ubuntu下adb的安装</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.adb简述: adb全称Android Debug Bridge,安卓调试桥接器.它是Android sdk里的一个工具,用这个工具可以直接操作管理android模拟器或者真实的andriod设备. adb也是一个客户端-服务器端程序,其中客户端是你用来操作的电脑,服务器端是你的android设备. 2.adb命令主要功能: (1)安装/卸载APK程序 (2)在计算机和Android设备之间传输文件 (3)运行Android设备的shell(命令行) (4)管理模拟器或Android设备的端			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3Op7594.html" rel="bookmark">Ubuntu下使用VirtualBox安装Mac OS X Mavericks&lpar;10&period;9&rpar;下篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				关闭 Mac OS X Mavericks 虚拟机后, 在设置的 Storage -&gt; Storage Type  Controller SATA 属性 退出 OSXMavericks2.iso. 点击下面的那个删除按钮,就会弹出上图所示的对话框,点击remove即可. 然后CD / DVD Drive 的光盘图标 Add CD/DVD Drive 选择 HackBoot_Mav.iso 文件.类似上篇时介绍的那样.添加好后如下图: 启动Mac OS X Mavericks虚拟机.在引导盘的引导			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/N4pdky4.html" rel="bookmark">在ubuntu下用apt-get安装和管理java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. 简介 本文将介绍如何在ubuntu下使用apt-get安装不同版本的java. 2. 安装默认的JRE/JDK 这种是最简便的方法,(原文OpenJDK6→ubuntu12.04,Open'JDK6→ubuntu12.10+) 更新软件包列表 sudo apt-get update 检查是否已经安装java java -version 如果没有安装,继续.(这一步安装JRE,可以跳过–译者注) sudo apt-get install default-jre 安装JDK sudo apt-			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPNQGP3.html" rel="bookmark">Ubuntu下bochs的安装配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				目前市面上流行的全虚拟化PC仿真软件系统主要有三种:VMware公司的VMware Workstation软件.Microsoft公司的Virtual PC以及开放源代码的Bochs.这3种软件都可以虚拟或仿真Intel x86硬件环境,可以让我们在运行这些软件的系统平台上运行多种其它的&quot;客户&quot;操作系统. 就使用范围和运行性能来说,这3种仿真软件有一定的区别.Bochs仿真了x86的硬件环境(CPU的指令)及其外围设备,因此很容易被移植到很多操作系 统上或者不同体系结构的平台上.由于主			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/47pkQoM.html" rel="bookmark">Ubuntu下 Android NDK安装</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				method 1. 1.google上直接下载NDK源码解压即可,目前版本为 android-ndk-r9d 配置$NDK_HOME 和 $PATH export NDK_HOME=/XXX/android-ndk-r9dexport PATH=$NDK_HOME:$PATH 2.提取toolchain 参考:docs/STANDALONE-TOOLCHAIN.html a.查看目标 指令集 arm or x86 or mipsb.配置gcc编译时所用头文件和根文件的目录 $SYSROOT SY			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4JDQbl0.html" rel="bookmark">ubuntu下java的安装即使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.首先在官方网站(点击可以下载)下载最新的JDK,要选用self extracting installer 2.在/usr/下新建java目录,把下载的文件放到这个目录下 sudo mkdir /usr/java cd /usr/java 3.更改这个文件的权限,使其可以运行: [email protected]:~$ sudo chmod u+x jdk-6u25-linux-i586.bin 4.运行这个文件: [email protected]:~$ ./jdk-6u25-linux-i			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MoQ1nk3.html" rel="bookmark">Ubuntu下GCC的安装</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Ubuntu下安装GCC和其他一些Linux系统有点不一样.方法一:该方法超简单:sudo apt-get  build-depgcc就上面这条命令就可以搞定方法二:sudo apt-get  install  build-essential还是简单,一句命令也可以搞定安装完了可以执行gcc--version的命令来查看版本,输出如下:gcc(GCC)4.2.3(Ubuntu4.2.3-2ubuntu7)Copyright(C)2007FreeSoftwareFoundation,Inc.编译			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0eq5Aw0.html" rel="bookmark">ubuntu下boost编译安装</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ubuntu下boost编译安装 boost 安装 1.依赖安装 apt-get install mpi-default-dev libicu-dev python-dev python3-dev libbz2-dev zlib1g-dev 2.访问boost官网下载boost最新版本 3.解压下载文件,例如下载文件在~/Downloads下 cd ~/Downloads tar --bzip2 -xvf boost_1_58_0.tar.bz2  4.准备安装 cd boost_1_58 ./			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/NMy7yn3.html" rel="bookmark" class="title">swift&lowbar;枚举 &vert; 可为空类型 &vert; 枚举关联值 &vert; 枚举递归 &vert; 树的概念</a>
					<div>
						***************可为空的类型 var demo2 :we_demo = nil 上面这个代码串的语法是错的 为什么呢, 在Swift中,所有的类型定义出来的属性的默认值都不可以是nil  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/412WKOM.html" rel="bookmark" class="title">ps commad</a>
					<div>
						要对系统中进程进行监测控制,查看状态,内存,CPU的使用情况,使用命令:/bin/ps (1)         ps :是显示瞬间进程的状态,并不动态连续: (2)         top:如果想对进 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoQwow3.html" rel="bookmark" class="title">实战Linux下防火墙iptables设置</a>
					<div>
						通过本教程操作,请确认您能使用linux本机.如果您使用的是ssh远程,而又不能直接操作本机,那么先加上下面的代码...当然最坏的结果是所有的端口都不能访问,甚至无法登陆ssh,但5分钟之后,定时器会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/418GoJ3.html" rel="bookmark" class="title">实现短信验证码注册</a>
					<div>
						今晚研究了下短信验证码注册,很简单,用的是  云通讯的短信系统(收费的,不过有测试的api给我们做测试).好了,不多说,进入正题. 1.收到到云通讯短信系统注册账号,然后下载他们的封装好的短信api接 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3O7bX73.html" rel="bookmark" class="title">11gR2 RAC重启后只能起单节点</a>
					<div>
						11gR2 RAC重启后只能起单节点 问题背景: 将11gR2 RAC正常部署完成之后执行两节点重启操作发现其中有一个节点的集群资源无法启动,遂再次重启该无法启动集群资源的节点,还是不可.随即将正常节 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXQdBG0.html" rel="bookmark" class="title">JavaWeb配置外部应用的两种方式</a>
					<div>
						原来我们的项目放到webapps下,现在放到外面,也希望tomcat可以找到它!把应用放到tomcat之外,这就是外部应用了.应用已经不在tomcat中了,这时我们需要在tomcat中配置外部应用的位 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0x5oBn3.html" rel="bookmark" class="title">移动端H5页面高清多屏适配方案</a>
					<div>
						背景 开发移动端H5页面 面对不同分辨率的手机 面对不同屏幕尺寸的手机 视觉稿 在前端开发之前,视觉MM会给我们一个psd文件,称之为视觉稿. 对于移动端开发而言,为了做到页面高清的效果,视觉稿的规范 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MWYKXy3.html" rel="bookmark" class="title">C&plus;&plus;设计模式 之 &OpenCurlyDoubleQuote;对象性能&rdquo; 模式：Singleton、Flyweight</a>
					<div>
						“对象性能”模式 面向对象很好地解决了“抽象”的问题,但是必不可免地要付出一定的代价.对于通常情况来讲,面向对象的成本大都可以忽略不计.但是某些情况,面向对象所带来的成本必须谨慎处理. 典型模式 #  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoxjmD0.html" rel="bookmark" class="title">C语言第二次</a>
					<div>
						1.C语言基本数据类型及其占用的内存空间大小分别是: [有符号] 整型int:4字节:[有符号]短整型short[int]:2字节:[有符号]长整型long[int]:4字节: 无符号整型unsign ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4Jd9Ql0.html" rel="bookmark" class="title">docker中遇到的问题及解决方法</a>
					<div>
						docker 的深坑 1. 镜像数据问题 由于容器重启后数据会被清空,所以docker中的数据需要通过映射存放到本地磁盘持久化,启动docker镜像的时候加-V diskPath:dockerPath ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgYXGK3.html" rel="bookmark" class="title">Spring&colon; Jsp&plus;Java 相关知识整理 &lpar;十三&rpar;</a>
					<div>
						1. 在Java中获取 .properties 文件的路径 (src/main/resources 下) ProjectName |---src/main/java |---src/main/reso ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoogYlM.html" rel="bookmark" class="title">利用jquery来进行表单的多向提交</a>
					<div>
						最近由于特别忙,每晚都是1到2点倒床便睡的那种,所以没有给自己要求写日记,等这阶段过完,还会重新开始. 今天来写一个前端的表单提交的方法. 有时往往以为在同一个表单中,不同的按钮,来表达的含义不同,需 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPelEy0.html" rel="bookmark" class="title">主机上的vsphere ha 代理无法访问其它主机的部分管理网络地址</a>
					<div>
						在VSphere 5.5版本中 ,经常出现的就是配置VMware HA出现的问题就是 主机上的vsphere ha 代理无法访问其它主机的部分管理网络地址,且如果主机出现故障,则HA可能无法重新启动虚 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyoxqA3.html" rel="bookmark" class="title">PhotoView实现图片随手势的放大缩小的效果</a>
					<div>
						项目需求:在listView的条目中如果有图片,点击条目,实现图片的放大,并且图片可以根据手势来控制图片放大缩小的比例.类似于微信朋友圈中查看好友发布的照片所实现的效果. 思路是这样的:当点击条目的时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXD6lXM.html" rel="bookmark" class="title">由浅入深探究mysql索引结构原理、性能分析与优化&lpar;转&rpar;</a>
					<div>
						add by zhj:原文链接已经失效了,网上看到的都是转载,向作者Benwin致敬 摘要: 第一部分:基础知识 第二部分:MYISAM和INNODB索引结构 1.简单介绍B-tree B+ tree ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38rdxlM.html" rel="bookmark" class="title">IE维护&lpar;IEM&rpar;策略不再适用于IE10及后续IE版本</a>
					<div>
						在域内通过域控服务器配置客户端机器的IE设置选项, 许多IT管理员会选择使用IE维护策略(Internet Explorer Maintenance, IEM). 但是有些管理员可能会发现, IE维护 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RQByyM.html" rel="bookmark" class="title">【转】JavaScript中的原型和继承</a>
					<div>
						请在此暂时忘记之前学到的面向对象的一切知识.这里只需要考虑赛车的情况.是的,就是赛车. 最近我正在观看 24 Hours of Le Mans ,这是法国流行的一项赛事.最快的车被称为 Le Mans ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dD8Ge0.html" rel="bookmark" class="title">Java中的简单工厂模式</a>
					<div>
						举两个例子以快速明白Java中的简单工厂模式: 女娲抟土造人话说:“天地开辟,未有人民,女娲抟土为人.”女娲需要用土造出一个个的人,但在女娲造出人之前,人的概念只存在于女娲的思想里面.女娲造人,这就是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLplYEM.html" rel="bookmark" class="title">Java I&sol;O解析</a>
					<div>
						现实世界中我们总要处理不同的数据源: 字节数组. String对象 文件. “管道”,工作方式与实际管道相似. 一个有其他种类组成的序列. 其他数据源,如Interent连接等.  --From  & ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyzgjL0.html" rel="bookmark" class="title">观物外篇-唐-邵雍&colon;&lpar;一&rpar;</a>
					<div>
						http://blog.sina.com.cn/s/blog_c187253f010192ri.html 观物外篇-唐-邵雍:(一) 观物外篇 (以&lt;四库全书&gt;本张行成&lt;观物外篇衍义 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 11 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
